import { Component } from '@angular/core';
import { Params, Router } from '@angular/router';

import { BaseEnvironment } from '@shared/index-service';

@Component({
    template: '...'
})

export class RedirectorLocalComponent {

    constructor(private router: Router, private baseEnvironment: BaseEnvironment) {

        let page: string;
        let search = '';

        let id1: number;
        let id2: number;
        let id3: number;
        let id4: number;

        let application: string;
        let section: number;
        let sectionType: number;

        this.router.routerState.root.queryParams.subscribe(
            (params: Params) => {

                id1 = params['id1'];
                id2 = params['id2'];
                id3 = params['id3'];
                id4 = params['id4'];

                application = params['app'];
                section = params['s'];
                sectionType = params['t'];
                page = params['p'];
                search = params['search'];

            })

        this.router.navigate(
            [this.baseEnvironment.rootURL + '/home/' + application + '/' + page],
            {queryParams: {id1: + id1, id2: id2, id3: id3, id4: id4, t: sectionType, s: section, p: page, search: search}
        });

    }

}
