import { Component, OnInit, ViewChild, ViewContainerRef, ComponentFactoryResolver, Input, Output, EventEmitter } from '@angular/core';

// Global Common
import { BaseService } from '@shared/index-service';
// ------------------

// Fielman Common
import {  StepNavigationService, FilemanSessionService } from '@fileman/index-service';
import {  Step, FilemanSession } from '@fileman/index-domain';
// ------------------

@Component({
    templateUrl: './step.component.html'
})
export class StepComponent implements OnInit {

    // form
    session: FilemanSession[] = [];
    activeIndex: number = undefined;
    steps = false;

    items: Step[];
    // ----------------------

    // load handlers
    // -----------------------------------
    constructor(private baseService: BaseService, private stepService: StepNavigationService, 
        private filemanService: FilemanSessionService) {

    }

    ngOnInit() {

        // Get current session values
        this.session = this.filemanService.getSessionFull();
        // -----------------------------------

        // Determin active index
        this.activeIndex = this.filemanService.getSessionIdCurrentActive();
        // -----------------------------------

        // Get available steps for current page selection
        this.items = this.stepService.getSteps();
        // -----------------------------------

        if (this.baseService.getPage() === "query") {
            this.steps = true;
        } else if (this.baseService.getPage() === "configuration") {
            this.steps = true;
        } else {
            this.steps = false;
        }

    }
    // -----------------------------------

    // basic button / input events
    // -----------------------------------
    btn_previous_step() {

        // Determin active index
        this.activeIndex = this.filemanService.getSessionIdPreviousActive();
        this.baseService.refreshPage();
        // -----------------------------------

    }

    btn_next_step() {

        // Determin active index
        // this.activeIndex = this.filemanService.getSessionIdNextActive();
        // this.baseService.refreshPage();
        // -----------------------------------

        alert('Moving forward in steps are disabled')
    }

}
