import { BaseAudit } from '@shared/index-domain';
import { FileProfileDescriptor, ColumnMappingDescriptor, UserColumnMappingDescriptor,
         AuditOutputFileDescriptor, ReferenceCode, TableDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class FileAuditDescriptor extends BaseAudit {

    parentFileId: number;
    jobId: number;
    fileName: string;
    recordsReceived: number;
    recordsProcessed: number;
    recordsLoaded: number;
    recordsFailed: number;
    loadStatus: ReferenceCode;
    reloaded: string;
    inputMimeTypeCMId: number;
    loadDate: Date;
    loadUser: string;
    table: TableDescriptor;
    processed: boolean;
    selected: boolean;

}

// Full definition (including relationships)
export class FileAudit extends FileAuditDescriptor {

    fileProfile: FileProfileDescriptor;
    parentFile: FileAuditDescriptor;
    auditOutputFiles: AuditOutputFileDescriptor[];
    childFileAudits: FileAuditDescriptor[];

}
