import { Audit } from '@shared/index-domain';
import { ReferenceCode, IncomingFileMaskDescriptor, TableDescriptor,
         RecordTypeDescriptor, AdhocProfileDescriptor} from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class FileOriginDescriptor extends Audit {

    origin: string;
    module: ReferenceCode;
    autoLoad: boolean;
    purpose: string;

}

// Full definition (including relationships)
export class FileOrigin extends FileOriginDescriptor {

    incomingFileMasks: IncomingFileMaskDescriptor[];
    tables: TableDescriptor[];
    recordTypes: RecordTypeDescriptor[];
    adhocProfiles: AdhocProfileDescriptor[];

}











