import { Audit } from '@shared/index-domain';
import { IncomingFileMaskDescriptor, TableProfileDescriptor, FileAuditDescriptor,
         FileProcessExceptionDescriptor, ReferenceCode } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class FileProfileDescriptor extends Audit {

    fileCategory: ReferenceCode;
    fileExtension: ReferenceCode;
    compressed: boolean;
    delimiter: ReferenceCode;
    filenameMask: string;
    containsColumnHeadings: boolean;
    fixedLengthFile: boolean;
    multipleRecordTypes: boolean;
    lastActionDate: Date;
    retentionDays: number;
    consumingApplicationCMId: number;
    isActive: boolean;

}

// Full definition (including relationships)
export class FileProfile extends FileProfileDescriptor {

    incomingFileMask: IncomingFileMaskDescriptor;
    tableProfiles: TableProfileDescriptor[];
    fileAudits: FileAuditDescriptor[];
    fileProcessExceptions: FileProcessExceptionDescriptor[];

}
