import { Audit} from '@shared/index-domain';
import { FileOriginDescriptor, FileProfileDescriptor, FileSchedule, FileLocation, ReferenceCode } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class IncomingFileMaskDescriptor extends Audit {

    filenameMask: string;
    compressed: boolean;
    fileExtension: ReferenceCode;
    priority: number;

}

// Full definition (including relationships)
export class IncomingFileMask extends IncomingFileMaskDescriptor {

    fileOrigin: FileOriginDescriptor;
    fileProfiles: FileProfileDescriptor[];
    fileSchedules: FileSchedule[];
    fileLocations: FileLocation[];

}
