import { Audit } from '@shared/index-domain';
import { FtpSiteDescriptor, FileLocation } from '@fileman/index-domain';
import { ReferenceCode } from '@fileman/refcode/domain/reference-code';

// "Descriptor type" definition (simple definition without relationships)
export class FtpDirectoryDescriptor extends Audit {

    direction: ReferenceCode;
    transferType: ReferenceCode;
    localDir: string;
    localDirTest: string;
    remoteDir: string;
    remoteDirTest: string;
    archiveDir: string;
    archiveDirTest: string;

}

// Full definition (including relationships)
export class FtpDirectory extends FtpDirectoryDescriptor {

    ftpSite: FtpSiteDescriptor;
    fileLocations: FileLocation[];

}
