import { Component, OnInit } from '@angular/core';

// Global Common
import { BaseService } from '@shared/index-service';
import { PermissionComponent } from '@shared/index';
// ------------------

// Fileman Common
import { FilemanSessionService } from '@fileman/index-service';
// ------------------

// Load other
import { RecordTypeDescriptor, RecordType } from '@fileman/index-domain';
//  -----------------

@Component({
  templateUrl: './record-types.component.html'
})

export class RecordTypesComponent extends PermissionComponent implements OnInit {

    // form
    search = false;
    stepKey = 'record';

    recordTypeId: number = undefined;
    // ----------------------

    // grid details
    //  ----------------------------------
       recordTypes: RecordTypeDescriptor[] = [];
       recordType: RecordType = new RecordType();

    //  ----------------------------------

    // load handlers
    // -----------------------------------
    constructor(baseService: BaseService, private sessionService: FilemanSessionService) {
        super(baseService);
    }

    ngOnInit() {
        // call to Permission Component --> componentInit();
        super.componentInit();

        // Retrieve values from session
        this.search = this.sessionService.checkSessionIdWithKey(this.stepKey);
        this.recordTypeId = this.sessionService.getSessionIdWithKey(this.stepKey);
        // -----------------------------------------------

        // Load data
        this.getGridList(this.recordTypeId);
        // -----------------------------------------------

    }
    // -----------------------------------

    // basic button events
    // -----------------------------------
    btn_back() {
        this.edit = false;
        this.baseService.showAudit(false);
    }

    btn_new() {
        this.edit = true;
        this.baseService.showAudit(false);

        // Reset all items to null - empty inputs
        // ---------------------------------------

        // ---------------------------------------

    }

    btn_save() {

    }

    onRowSelect() {

    }
    // -----------------------------------

    // Data calls
    // -----------------------------------
    getGridList(id?: number) {

        let endpoint = 'recordTypes?size=600&sort=id,desc';
        if (id && id != null) {
            endpoint = 'recordTypes/fileOrigin/' + id + '?size=600&sort=id,desc';
        }
        this.baseService.getData('GET', endpoint)
            .subscribe(
                data => {
                    this.recordTypes = data.json().content as RecordTypeDescriptor[];
                    this.nodata = false;
                    this.edit = false;
                }
            );

    }
    // -----------------------------------
}

