import { Audit } from '@shared/index-domain';
import { FileOriginDescriptor, TableProfileDescriptor, RecordFieldDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class RecordTypeDescriptor extends Audit {

    typeCode: string;
    description: string;
    isActive: boolean;

}

// Full definition (including relationships)
export class RecordType extends RecordTypeDescriptor {

    fileOrigin: FileOriginDescriptor;
    TableProfilesList: TableProfileDescriptor[];
    recordFields: RecordFieldDescriptor[];

}
