import { BaseAudit } from '@shared/index-domain';
import { FileOriginDescriptor, TableColumnDescriptor, TableProfileDescriptor, AdhocProfileDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class TableDescriptor extends BaseAudit {

    owner: string;
    tableName: string;

}

export class TableString {
    tableName: string
}

// Full definition (including relationships)
export class Table extends TableDescriptor {

    fileOrigin: FileOriginDescriptor;
    tableColumns: TableColumnDescriptor[];
    tableProfiles: TableProfileDescriptor[];
    adhocProfiles: AdhocProfileDescriptor[];

}
